Microsoft.Build.Utilities 2.0.0.0 System.MarshalByRefObject To be added.

Provides helper logging methods used by tasks.

- Constructor
  To be added.

  Initializes a new instance of the class and associates it with the specified task instance.

  The task containing an instance of this task.
  2.0.0.0
- Property
  Microsoft.Build.Framework.IBuildEngine To be added. To be added.

  Gets the build engine that is associated with the task.

  2.0.0.0
- Method
  System.String `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.String `` `System.ParamArray`

  The culture of the current thread is used for formatting.

  This method requires the owner task to have registered its resources with either the base class constructor, or the property.

  Loads the specified resource string and optionally formats it using the given arguments.

  The formatted string.

  The name of the string resource to load. Optional arguments for formatting the loaded string. 2.0.0.0
- Method
  System.String `` `System.ParamArray`

  The culture of the current thread is used for formatting.

  Formats the given string using the given arguments.

  The formatted string.

  The string to format. Arguments for formatting. 2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets a value that indicates whether the task has logged any errors through this logging helper object.

  2.0.0.0
- Property
  System.String To be added.

  If a task does not have Help keywords associated with its messages, it can ignore this property or set it to null. If this property is set to an empty , resource names will be used verbatim as Help keywords.

  Gets or sets the prefix used to compose Help keywords from resource names.

  2.0.0.0
- Method
  System.Void ``

  This method is not thread-safe.

  Logs the command line for an underlying tool, executable file, or shell command of a task.

  The command line string. 2.0.0.0
- Method
  System.Void `` ``

  This method is not thread-safe.

  Logs the command line for an underlying tool, executable file, or shell command of a task using the specified importance level.

  One of the values of that indicates the importance level of the command line. The command line string. 2.0.0.0
- Method
  System.Void `` `System.ParamArray`

  This method is not thread-safe.

  Logs an error with the specified message.

  The message. Optional arguments for formatting the message string. 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` `` `` `System.ParamArray`

  The parameters , , , and can be null.

  The parameters , , , and should be set to 0 if they are not available.

  Logs an error using the specified message and other error details.

  The description of the error type. The error code. The Help keyword to associate with the error. The path to the file containing the error. The line in the file where the error occurs. The column in the file where the error occurs. The end line in the file where the error occurs. The end column in the file where the error occurs. The message. Optional arguments for formatting the message string. 2.0.0.0
- Method
  System.Void `` To be added.

  No call stack will be shown.

  Logs an error using the message from the given exception.

  2.0.0.0
- Method
  System.Void `` `` To be added.

  This method is not thread-safe.

  Logs an error using the message, and optionally the stack trace, from the given exception.

  true to include the stack trace in the log; otherwise, false. 2.0.0.0
- Method
  System.Void `` `System.ParamArray`

  This method is not thread-safe.

  Logs an error using the specified resource string.

  The name of the string resource to load. The arguments for formatting the loaded string. 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` `` `` `System.ParamArray`

  The parameters , , , and can be null.

  The parameters , , , and should be set to 0 if they are not available.

  Logs an error using the specified resource string and other error details.

  The name of the string resource that describes the error type. The error code. The Help keyword to associate with the error. The path to the file containing the error. The line in the file where the error occurs. The column in the file where the error occurs. The end line in the file where the error occurs. The end column in the file where the error occurs. The name of the string resource to load. The arguments for formatting the loaded string. 2.0.0.0
- Method
  System.Void `` `System.ParamArray`

  If the message begins with an error code, the code is extracted and logged with the message.

  If a Help keyword prefix has been provided, it is also logged with the message. The Help keyword is composed by appending the string resource name to the Help keyword prefix. A task can provide a Help keyword prefix with either the base class constructor, or the property.

  Logs an error with an error code using the specified resource string.

  The name of the string resource to load. The arguments for formatting the loaded string. 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` `System.ParamArray`

  If the message begins with an error code, the code is extracted and logged with the message.

  If a Help keyword prefix has been provided, it is also logged with the message. The Help keyword is composed by appending the string resource name to the Help keyword prefix. A task can provide a Help keyword prefix with either the base class constructor, or the property.

  The parameters , and can be null.

  The parameters , , , and should be set to 0 if they are not available.

  Logs an error using the specified resource string and other error details.

  The name of the string resource that describes the error type. The path to the file containing the error. The line in the file where the error occurs. The column in the file where the error occurs. The end line in the file where the error occurs. The end column in the file where the error occurs. The name of the string resource to load. The arguments for formatting the loaded string. 2.0.0.0
- Method
  System.Void `` `` `` `` To be added.

  Helps log the custom build event.

  The text message. The help keyword. The name of the project. true to indicate that project was built successfully; otherwise, false. 2.0.0.0
- Method
  System.Void `` `` `` `` To be added.

  Helps log the custom build event.

  The text message. The help keyword. The name of the project. The targets to build. An empty string indicates default targets. 2.0.0.0
- Method
  System.Void `` `System.ParamArray`

  The value of a message is Normal by default.

  Logs a message with the specified string.

  The message. The arguments for formatting the message. 2.0.0.0
- Method
  System.Void `` `` `System.ParamArray`

  Take care to order the parameters correctly or the other overload will be called inadvertently.

  Logs a message with the specified string and importance.

  One of the enumeration values that specifies the importance of the message. The message. The arguments for formatting the message. 2.0.0.0
- Method
  System.Void `` `System.ParamArray`

  The value of a message is Normal by default.

  Logs a message with the specified resource string.

  The name of the string resource to load. The arguments for formatting the loaded string. 2.0.0.0
- Method
  System.Void `` `` `System.ParamArray`

  Take care to order the parameters correctly or the other overload will be called inadvertently.

  Logs a message with the specified resource string and importance.

  One of the enumeration values that specifies the importance of the message. The name of the string resource to load. The arguments for formatting the loaded string. 2.0.0.0
- Method
  System.Boolean `` `` To be added.

  Errors messages and warnings are only logged for lines that fit the canonical format. All other lines are treated as messages.

  Logs an error message or warning from the given line of text.

  true if an error was logged; otherwise, false.

  The line of text to log from. 2.0.0.0
- Method
  System.Boolean `` To be added.

  Errors and warnings are logged for lines that fit a particular canonical format. All other lines are logged as messages.

  Logs errors, warnings, and messages for each line of text in the given file.

  true to indicate at least one error was logged; otherwise, false.

  2.0.0.0
- Method
  System.Boolean `` `` To be added.

  Errors and warnings are logged for lines that fit a particular canonical format. All other lines are logged as messages.

  Logs errors, warnings, and messages for each line of text in the given file. Also logs the importance of messages.

  true to indicate at least one error was logged; otherwise, false.

  One of the enumeration values that specifies the importance of logged messages. 2.0.0.0
- Method
  System.Boolean `` ``

  This method is not thread-safe.

  Logs an error message or warning from the given stream.

  true if an error was logged; otherwise, false.

  A that reads the stream to log from. One of the values of that indicates the importance level of the command line. 2.0.0.0
- Method
  System.Void `` `System.ParamArray`

  This method is not thread-safe.

  Logs a warning with the specified message.

  The message. Optional arguments for formatting the message string. 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` `` `` `System.ParamArray`

  The parameters , , , and can be null.

  The parameters , , , and should be set to 0 if they are not available.

  Logs a warning using the specified message and other warning details.

  The description of the warning type. The warning code. The Help keyword to associate with the warning. The path to the file containing the warning. The line in the file where the warning occurs. The column in the file where the warning occurs. The end line in the file where the warning occurs. The end column in the file where the warning occurs. The message. Optional arguments for formatting the message string. 2.0.0.0
- Method
  System.Void `` To be added.

  This method is not thread-safe.

  Logs a warning using the message from the specified exception.

  2.0.0.0
- Method
  System.Void `` `` To be added.

  This method is not thread-safe.

  Logs a warning using the message, and optionally the stack trace, from the given exception.

  true to include the stack trace in the log; otherwise, false. 2.0.0.0
- Method
  System.Void `` `System.ParamArray`

  This method is not thread-safe.

  Logs a warning using the specified resource string.

  The name of the string resource to load. The arguments for formatting the loaded string. 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` `` `` `System.ParamArray`

  The parameters , , , and can be null.

  The parameters , , , and should be set to 0 if they are not available.

  Logs a warning using the specified resource string and other warning details.

  The name of the string resource that describes the warning type. The warning code. The Help keyword to associate with the warning. The path to the file containing the warning. The line in the file where the warning occurs. The column in the file where the warning occurs. The end line in the file where the warning occurs. The end column in the file where the warning occurs. The name of the string resource to load. The arguments for formatting the loaded string. 2.0.0.0
- Method
  System.Void `` `System.ParamArray`

  If the message begins with a warning code, the code is extracted and logged with the message.

  If a Help keyword prefix has been provided, it is also logged with the message. The Help keyword is composed by appending the string resource name to the Help keyword prefix. A task can provide a Help keyword prefix with either the base class constructor, or the property.

  Logs a warning with a warning code using the specified resource string.

  The name of the string resource to load. The arguments for formatting the loaded string. 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` `System.ParamArray`

  If the message begins with a warning code, the code is extracted and logged with the message.

  If a Help keyword prefix has been provided, it is also logged with the message. The Help keyword is composed by appending the string resource name to the Help keyword prefix. A task can provide a Help keyword prefix with either the base class constructor, or the property.

  The parameters , and can be null.

  The parameters , , , and should be set to 0 if they are not available.

  Logs a warning with a warning code using the specified resource string and other warning details.

  The name of the string resource that describes the warning type. The path to the file containing the warning. The line in the file where the warning occurs. The column in the file where the warning occurs. The end line in the file where the warning occurs. The end column in the file where the warning occurs. The name of the string resource to load. The arguments for formatting the loaded string. 2.0.0.0
- Property
  System.String To be added. To be added.

  Gets the name of the parent task.

  2.0.0.0
- Property
  System.Resources.ResourceManager To be added.

  If derived classes have localized strings, then they should register their resources with this property.

  Gets or sets the culture-specific resources used by the logging methods.

  2.0.0.0